package ibase.webService;
import javax.ws.rs.FormParam;
import javax.ws.rs.GET;
import javax.ws.rs.HeaderParam;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;


import ibase.utility.BaseException;
import ibase.utility.BaseLogger;
import ibase.webitm.utility.PopHelpServiceUtility;

@Path("/PopHelpService")

public class PopHelpService extends RestAPIService {
	@GET
	@Path("/getPophelpData")
	@Produces(MediaType.APPLICATION_JSON)
	public Response getPophelpData(@QueryParam("FIELD_NAME") String fieldName, @QueryParam("MOD_NAME") String modName,
			@HeaderParam("TOKEN_ID") String tokenIDfromHeader) throws BaseException, Exception {
		BaseLogger.log("3", null, null, "getUserTasks Service Called::");
		PopHelpServiceUtility popHelpServiceUtility = new PopHelpServiceUtility();

		String response = popHelpServiceUtility.getPophelpData(fieldName, modName, tokenIDfromHeader);
		BaseLogger.log("3", null, null, " getPophelpData  response :" + response);

		return Response.status(200).entity(response).build();

	}

}
